:root {
    --size-container: 1200px;
    --size-semi-container: 1024px;
    --size-large: 992px;
    --size-medium: 768px;
    --size-extra-small: 600px;
    --size-bootstrap: 576px;
    --size-small: 480px;
    --size-height: 460px;
    --size-light: 400px;
    --size-extra-light: 374px;
    --size-thin: 340px;
}

@media (max-width: 1367px) {
    .casino-container   {
        padding: 0 50px;
    }
}

@media (min-width: 1300px) {
    .container {
        max-width: 1400px;
    }
}

@media (max-width: 1200px) {
    #casino
        #contact_list
        .row
        .col-12
        .purchase-list-option
        #history-search
        .form-row
        .col-md-2
        button {
        margin-top: 5px !important;
    }
    #casino
        #contact_list
        .row
        .col-12
        .purchase-list-option
        #history-search
        .form-row
        .col-md-2:last-child {
        white-space: unset;
        display: block;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        margin: unset !important;
    }
    #casino
        #contact_list
        .row
        .col-12
        .purchase-list-option
        #history-search
        .form-row
        .col-md-2 {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 16.666667%;
        flex: 0 0 16.666667%;
        max-width: 16.666667%;
    }

    #casino .home-game .item-game img {
        max-width: 75px;
    }

    #footer-casino footer .footer__content .footer__content__items-bottom .footer__content__items-bottom__item.social_network {
        column-gap: 5px;
    }
}

@media (max-width: 1180px) {
    #casino .header__content {
        display: block;
    }

    #casino .header__list-menu {
        justify-content: flex-end;
    }
}

@media (max-width: 1024px) {
    #casino .home-game .item-game img {
        max-width: 65px;
    }
}

@media only screen and (max-width: 1000px) {
    .container {
        padding: 0px!important;
        max-width: 1000px!important;
    }

    .container-fluid {
        padding: 5px!important;
        max-width: 1000px!important;
    }
}

@media (max-width: 979px) {
    #casino .header__item-menu .btn-default {
        width: 6rem;
        font-size: 0.8rem;
    }

    #casino .home-game .item-game > a {
        column-gap: 7px;
    }

    #casino .home-game .item-game img {
        max-width: 60px;
    }
}

@media (max-width: 768px) {
    #casino .header__content {
        display: flex;
    }
    #casino .casino-container .session #session-form-wrapper form .form-group.form-check-inline.text-center.w-100.justify-content-center.align-items-center label{
        text-align: left;
        margin-right: 0 !important;
    }
    #casino .casino-container .session #session-form-wrapper form .form-group.form-check-inline.text-center.w-100.justify-content-center.align-items-center {
        width: fit-content !important;
        margin: 0 auto;
        block-size: fit-content;
    }
    #casino  .banner-container__custom {
        padding-right: 10px;
        padding-left: 10px;
    }
    #casino .deposit-pending__container p{
        padding: 0;
    }
    .casino-container {
        padding: 0 15px;
    }

    #casino .container {
        padding-left: 8px;
        padding-right: 8px;
    }

    #casino .header__content {
        align-items: flex-start;
        padding: 25px 0 15px;
    }

    #casino .header__content.is-login {
        padding-bottom: 0;
    }

    #casino .terms__container .terms__head .terms__head__title {
        font-size: 20px;
        font-weight: 800;
        padding: 12px 15px;
        line-height: 26px;
        /*background-color: #4b075a;*/
        /*border-top-right-radius: 25px;*/
        /*border-bottom-right-radius: 25px;*/
        /*width: -webkit-fit-content;*/
        /*width: -moz-fit-content;*/
        /*width: fit-content;*/
    }
    #footer-casino .footer-custom {
        position: unset;
    }
    #casino .terms__container .terms__head .terms__head__content {
        padding: 20px 15px;
        font-size: 13px;
    }
    #casino .terms__container .responsible__contents .responsible__content {
        padding: 20px 15px 0 15px;
    }
    #casino
        .terms__container
        .responsible__contents
        .responsible__content
        .responsible__content-head {
        width: 100%;
        position: unset;
        margin-bottom: 20px;
        padding: 10px 20px;
    }
    #casino
        .terms__container
        .responsible__contents
        .responsible__content
        .responsible__content__item-50 {
        width: 100%;
    }
    #casino .terms__container .terms__contents .terms__content {
        padding: 10px 15px 0 15px;
    }
    #footer-casino footer .container-custom-footer {
        position: unset;
        max-width: 100%;
        padding: 0 20px 1.2rem 20px;
    }
    .container-custom footer .container-custom-footer {
        padding-top: 0 !important;
    }
    #footer-casino footer .footer__content .footer__content__item {
        max-width: 100%;
    }
    #footer-casino footer {
        margin-top: 1rem;
        margin-bottom: 1rem;
    }
    #casino
        .terms__container
        .responsible__contents
        .responsible__content
        .responsible__content__item__border-bottom,
    #casino
        .terms__container
        .terms__contents
        .terms__content
        .terms__content__item__border-bottom {
        margin-top: 1.4rem;
    }
    #footer-casino footer .footer__content .footer__content__items-bottom {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-flow: column;
        flex-flow: column;
        row-gap: 0.3rem;
    }

    #footer-casino
        footer
        .footer__content
        .footer__content__items-bottom
        .footer__content__items-bottom__item {
        width: 100%;
        justify-content: flex-start;
        display: flex;
    }

    #footer-casino footer .footer__content .footer__content__items-bottom .footer__content__items-bottom__item:last-child img {
        margin-right: 7px;
    }

    #casino
        #contact_list
        .row
        .col-12
        .purchase-list-option
        #history-search
        .form-row
        .col-md-2 {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 50%;
        flex: 0 0 50%;
        max-width: 50%;
    }
    /*#casino #contact_list .row .col-12 .purchase-list-option #history-search .form-row .col-md-2:last-child{*/
    /*    white-space: unset;*/
    /*    display: flex;*/
    /*    align-items: center;*/
    /*    margin: unset !important;*/
    /*}*/
    #casino .header__item-menu .btn-default {
        width: 100%;
        font-size: 1rem;
    }

    .o-scroll {
        overflow: scroll;
    }

    #casino #contact_list {
        max-width: 100%;
        margin: 0 auto;
    }

    #casino .sports-account {
        max-width: 100%;
        margin: 0 auto;
    }

    #casino .sports-account > div {
        padding: 0 !important;
    }

    #casino .history-table {
        min-width: 800px;
    }

    #casino.page-top {
        margin-bottom: 5rem;
        padding-bottom: 6rem;
    }

    /* header */
    #casino .header {
        position: relative;
    }
    #casino .header .header__list-menu.toggle-menu {
        display: -webkit-box;
        /*display: -ms-flexbox;*/
        /*display: flex;*/
        visibility: visible;
        overflow-y: auto;
    }

    #casino .header .header__list-menu.toggle-menu .header__item-menu:first-child {
        align-items: flex-start;
        margin-bottom: 8px;
    }

    #casino .header__header-right {
        display: block;
        visibility: visible;
    }

    #casino .header__header-right .btn-join-now .btn-default {
        padding: 2px 10px;
        font-size: 12px;
        width: auto;
    }

    #casino .header__header-right .btn-join-now .btn-default:focus {
        border: none;
        outline: none;
        box-shadow: 0;
    }

    #casino .header__logo {
        max-width: 251px;
    }
    #casino .header__list-menu {
        display: none;
        visibility: hidden;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 9999;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-flow: column;
        flex-flow: column;
        margin: 0 !important;
        padding-left: 0;
    }
    #casino .header__item-menu {
        position: relative;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        margin-bottom: 10px;
        padding: 0 10px;
    }

    #casino .header__item-menu.menu__back-casino {
        display: none;
        visibility: hidden;
        opacity: 0;
    }

    #casino .header__item-menu:first-child {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between;
        padding: 0 10px;
        visibility: visible;
    }
    #casino .header__item-menu:not(:last-child) {
        margin-right: 0px;
    }

    #casino .header__item-menu .btn-default {
        width: 100%;
        padding: 12px 0;
    }

    #casino .header__item-menu a{
        width: 100%;
    }

    #casino .header__item-menu .btn-gold {
        width: 100%;
        padding: 13px 0;
    }

    #casino .header__item-menu.mobile {
        display: block;
        visibility: visible;
        opacity: 1;
    }

    #casino .header__item-menu.mobile img {
        width: 100%;
    }

    #casino .header__item-menu .header__item-menu__balance {
        display: none;
        visibility: hidden;
        opacity: 0;
    }

    #casino .header__balance.mobile {
        display: flex;
        align-items: center;
        column-gap: 5px;
        justify-content: flex-end;
        margin-bottom: 10px;
        font-size: 14px;
        text-transform: capitalize;
        font-weight: bold;
        color: var(--white);
        visibility: visible;
        opacity: 1;
    }

    #casino .header__balance.mobile .header__balance-link {
        color: #fff;
    }

    #casino .header__balance.mobile .header__balance-link:hover {
        text-decoration: none;
    }

    #casino .balance-line {
        height: 25px;
    }

    /* // game home */

    #casino .home-game {
        margin-bottom: -9rem;
    }


    /* //game home */

    #casino .home-game {
        display: none;
        visibility: hidden;
    }
    #casino .home-game.mobile {
        display: -ms-grid;
        display: grid;
        visibility: visible;
        -ms-grid-columns: auto;
        grid-template-columns: auto;
        margin-bottom: 0;
        padding-top: 10px;
        row-gap: 0.5rem;
    }
    #casino .home-game .item-game {
        position: relative;
        width: 100%;
        padding: 12px 16px;
        border-radius: 25px;
    }

    #casino .home-game .item-game a{
        column-gap: 15px;
    }

    #casino .home-game .item-game img {
        width: 100%;
        max-width: 160px;
    }

    #casino .home-game .item-game img:first-child {
        max-width: 70px;
    }

    /* game index */

    #casino .navbar-banner__list-game {
        -ms-grid-columns: auto;
        grid-template-columns: auto;
        row-gap: 0.5rem;
    }
    #casino .navbar-banner__list-game.desktop {
        display: none;
        visibility: hidden;
    }
    #casino .navbar-banner__list-game.mobile {
        display: -ms-grid;
        display: grid;
        visibility: visible;
    }
    #casino .content-game__title {
        margin-top: 2rem;
        padding: 10px 20px 10px 40px;
    }
    #casino .content-game__title img {
        max-width: 140px;
    }
    #casino .content-game__search-game-filter {
        width: 75%;
    }
    #casino .content-game__search-game-filter .search-game-filter__item {
        font-size: 0.85rem;
    }
    #casino .content-game__search-game-filter .search-game-filter__item img {
        max-width: 50px;
        padding-right: 2px;
    }
    #casino
        .content-game__search-game-filter
        .search-game-filter__item
        .dropdown
        button {
        font-size: 0.85rem;
    }
    #casino .content-game__search-game-box {
        width: 25%;
    }
    #casino .content-game__list-game {
        margin-top: 3rem;
        display: -ms-grid;
        display: grid;
        -ms-grid-columns: auto auto auto;
        grid-template-columns: auto auto auto;
        grid-gap: 1rem;
    }

    /* // session  */
    #casino .session {
        padding: 20px 0%;
    }

    #casino #deposit-form {
        padding: 10px 0%;
    }

    #casino #contact_list {
        padding: 1rem 0% 0;
    }

    #casino #session-form-wrapper {
        padding: 1rem 3% 0;
    }

    /* footer */
    /*#footer-casino footer .footer__list-menu {*/
    /*    display: -webkit-box;*/
    /*    display: -ms-flexbox;*/
    /*    display: flex;*/
    /*    -webkit-box-orient: vertical;*/
    /*    -webkit-box-direction: normal;*/
    /*    -ms-flex-flow: column;*/
    /*    flex-flow: column;*/
    /*    row-gap: 0.3rem;*/
    /*}*/

    #footer-casino footer .footer__item-menu a {
        font-size: 0.9rem;
    }

    #footer-casino footer .footer__description {
        text-align: left;
        font-size: 0.8rem;
    }

    #footer-casino footer .footer__content {
        margin: 15px auto 0 auto;
    }

    #footer-casino
        footer
        .footer__content
        .footer__content__item
        .footer__content__item__icon {
        width: 35px;
    }


    /* // section login resgister */
    #casino .session #session-form-wrapper h2.text-center {
        margin-bottom: 20px;
    }

    #casino .session #session-form-wrapper .form-group {
        flex-flow: column;
    }

    #casino .session #session-form-wrapper .form-group > label {
        width: 100%;
        margin-bottom: 8;
    }

    #casino.page-game {
        padding-bottom: 15px;
    }

    #casino .session #session-form-wrapper .form-group.form-check {
        margin-left: 0;
    }

    #casino #contact_list .overview-list .table-responsive {
        column-gap: 40px;
    }

    #casino #contact_list .overview-list .table-responsive {
        padding: 0 10px;
    }

    #casino #contact_list .overview-list .table-responsive .overview-item {
        width: 100%;
    }

    #casino #contact_list .overview-list .table-responsive .overview-item span {
        white-space: nowrap;
    }

    #casino #contact_list .overview-list .table-responsive .overview-item.flex-end .btn-add-order {
        position: relative;
        top: 0;
        right: 0;
    }

    /* // acount deposit */
    #casino #session-form-wrapper #deposit-form .form-group {
        flex-flow: column;
        row-gap: 5px;
    }

    #casino #session-form-wrapper #deposit-form .form-group label {
        width: 100%;
    }

    #casino #deposit-form .btn-group {
        display: flex;
        align-items: center;
        flex-flow: column;
        grid-gap: 5px;
    }

    #casino #session-form-wrapper #deposit-form .deposit-amount {
        width: 100%;
    }

    /* // acount history purchase */
    #casino.account-custom #component-fade.casino-account-history #history-search .form-row {
        row-gap: 5px;
    }

    #casino.account-custom #component-fade.casino-account-history #history-search .form-row > div:last-child {
        margin-top: 10px;
    }

    #casino.account-custom #component-fade.casino-account-history #history-search .form-row > div {
        width: 100%;
    }

    #casino.account-custom #component-fade.casino-account-history #history-search .form-group {
        width: 100%;
        flex-flow: column;
        grid-gap: 5px;
    }

    #casino.account-custom #component-fade.casino-account-history #history-search .form-group label {
        width: 100%;
    }

    #casino.account-custom #component-fade.casino-account-history #history-search .form-group input,
    #casino.account-custom #component-fade.casino-account-history #history-search .form-group select {
        width: 100%;
    }

    #casino .account-settings #session-form-wrapper form .form-group {
        display: flex;
        align-items: center;
        flex-flow: column;
        grid-gap: 5px;
    }

    #casino .account-settings #session-form-wrapper form .form-group label {
        width: 100%;
    }

    #casino .account-settings #session-form-wrapper form.form-limit .form-group label {
        width: 100%;
    }
    #casino #contact_list .overview-list .table-responsive .overview-item .history-btn-search {
        width: 100px;
        font-size: 14px;
        padding: 7px;
    }
}

@media (max-width: 600px) {
    #casino.page-top {
        margin-bottom: 0;
        padding-bottom: 3rem;
    }

    /* banner */

    #casino .navbar-banner .desktop {
        display: none !important;
        visibility: hidden;
    }
    #casino .navbar-banner .mobile {
        display: block !important;
        visibility: visible;
    }


    /* game index */
    #casino .content-game__title.desktop {
        display: none;
        visibility: hidden;
    }
    #casino .content-game__title.mobile {
        display: block;
        visibility: visible;
        padding: 0 15px;
        background-color: transparent;
        border-radius: none;
        margin-top: 2rem;
    }
    #casino .content-game__title img {
        max-width: 200px;
    }
    #casino .content-game__search-game {
        position: relative;
        width: 100%;
    }
    #casino .content-game__search-game.desktop {
        display: none;
        visibility: hidden;
    }
    #casino .content-game__search-game.mobile {
        display: block;
        visibility: visible;
        border-radius: 20px;
    }
    #casino .content-game__search-game.mobile .card-header {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        padding: 5px;
    }
    #casino
        .content-game__search-game.mobile
        .card-header
        .content-game__search-game-box {
        width: 80%;
        -webkit-box-flex: 1;
        -ms-flex: 1;
        flex: 1;
        margin-left: 0;
    }
    #casino
        .content-game__search-game.mobile
        .card-header
        .content-game__search-game-box
        .input-group
        input {
        min-height: auto;
        background-color: transparent;
        border: none;
        font-weight: 500;
        padding: 0.375rem 1rem;
    }
    #casino .content-game__search-game.mobile .card-header .drop-down {
        width: 20%;
    }
    #casino
        .content-game__search-game.mobile
        .card-header
        .drop-down.filter-game {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
    }
    #casino .content-game__search-game.mobile .card-header .drop-down button {
        text-transform: capitalize;
        padding: 0 10px;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        text-decoration: none;
    }
    #casino .content-game__search-game.mobile .card-body {
        padding: 0;
    }
    #casino
        .content-game__search-game.mobile
        .card-body
        .content-game__search-game-filter {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-flow: column;
        flex-flow: column;
        -webkit-box-align: start;
        -ms-flex-align: start;
        align-items: flex-start;
        background-color: transparent;
    }
    #casino
        .content-game__search-game.mobile
        .card-body
        .content-game__search-game-filter
        .search-game-filter__item {
        padding: 0;
        margin-bottom: 0.5rem;
        font-size: 1rem;
    }
    #casino
        .content-game__search-game.mobile
        .card-body
        .content-game__search-game-filter
        .search-game-filter__item
        img {
        padding-right: 10px;
    }
    #casino
        .content-game__search-game.mobile
        .card-body
        .content-game__search-game-filter
        .search-game-filter__item
        .dropdown {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-flow: column;
        flex-flow: column;
        -webkit-box-align: start;
        -ms-flex-align: start;
        align-items: flex-start;
    }
    #casino
        .content-game__search-game.mobile
        .card-body
        .content-game__search-game-filter
        .search-game-filter__item
        .dropdown
        button {
        font-size: 1rem;
    }
    #casino
        .content-game__search-game.mobile
        .card-body
        .content-game__search-game-filter
        .search-game-filter__item
        .dropdown
        button
        img {
        padding-right: 7px;
    }
    #casino
        .content-game__search-game.mobile
        .card-body
        .content-game__search-game-filter
        .search-game-filter__item
        .dropdown
        .menu-dropdown {
        padding: 10px 30px;
    }
    #casino .content-game__list-game {
        margin-top: 0.5rem;
        -ms-grid-columns: auto auto;
        grid-template-columns: auto auto;
        grid-gap: 0.5rem;
    }

    /* // footer  */

    #footer-casino footer {
        margin: 0;
    }

    #footer-casino footer .footer__content .footer__content__item {
        margin-bottom: 20px;
    }

    #footer-casino footer .footer__content {
        margin: 0 auto;
    }

    #footer-casino footer .footer__content .footer__content__items-bottom {
        row-gap: 10px;
    }
}

@media (max-width: 576px) {
    /* //game home */
    #casino #session-form-wrapper h1,
    #casino #session-form-wrapper h2,
    #casino #session-form-wrapper h3 {
        font-size: 2rem;
        margin-bottom: 1rem !important;
    }

    #footer-casino footer .footer__list-menu {
        display: grid;
        grid-template-columns: auto auto;
        padding-top: 20px;
        margin-bottom: 10px;
        align-items: flex-start;
        row-gap: 0;
    }

    #casino .home-game .item-game img {
        width: 100%;
        max-width: 140px;
    }

    #casino .home-game .item-game img:first-child {
        max-width: 45px;
    }
    #casino #contact_list .overview-list .table-responsive {
        column-gap: 25px;
    }
}


@media (max-width: 480px) {
    .casino-container {
        padding: 0;
    }
    .account-container {
        padding: 0 15px;
    }
    .casino-container #session-form-wrapper #session-form{
        padding: 0 15px;
    }
}

@media (max-width: 415px) {
    #casino .navbar-banner #slidetext {
        right: 15px;
        top: 10px;
    }
    #casino #contact_list .overview-list .table-responsive .overview-item span {
        font-size: 14px;
    }
    #casino #contact_list .overview-list .table-responsive {
        column-gap: 15px;
    }
    #casino #contact_list .overview-list .table-responsive {
        padding: 0;
    }
}

@media (max-width: 360px) {
    #casino .container > .container {
        padding-left: 0;
        padding-right: 0;
    }

    #casino .header__header-right .btn-join-now .btn-default {
        width: auto;
        font-size: 12px;
        padding: 2px 10px;
    }
    #casino #contact_list .overview-list .table-responsive {
        column-gap: 5px;
    }

    #casino .session #session-form-wrapper .form-group.form-check label {
        margin-left: 25px;
        font-size: 14px;
    }

    #casino #component-fade  .m-b-40 .text-left .bor-h1 {
        font-size: 22px;
    }

    #casino .session #session-form-wrapper .form-group.form-check label {
        margin-left: 25px;
        font-size: 14px;
    }
}

@media (max-width: 320px) {
    #casino #menu-toggle-close {
        width: 20px;
        margin-top: 5px;
    }
    #casino #menu-toggle-open {
        max-width: 25px;
        margin-top: 8px;
    }

    #casino .navbar-banner #slidetext {
        right: 10px;
        top: 10px;
    }
}

@media (min-width: 1300px){
    #casino .mw1400 {
        max-width: 1400px;
    }
}

@media (min-width: 1200px) {
    #casino .mw1400 {
        max-width: 1140px;
    }
}

@media only screen and (max-width: 1000px) {
    #casino .mw1400 {
        padding: 0!important;
        max-width: 1000px!important;
    }
}
